function rhs=rate(t,c,k, Conc0, C0triphenyl)

Ctriphenyl=C0triphenyl-(Conc0-c);   % estimates the concentration of triphenyl based on the amount of methanol reacted

rhs=-k*c^2*Ctriphenyl^1;     % reaction rate proposed (user may change the reaction rate expression in order to test other kinetic equations)

end

%COMMENT: Ideally, one would like to use the following kinetic expression:
%rhs=-k*c^a*Ctriphenyl^b
%in which k, a and b are parameters to be estimated. However, due to the
%limited amount of experimental data available, the use of such general
%expression would cause the minization routine to enter an infinite loop,
%due to the large amount of parameters to be estimated compared to the
%experimental data provided 
%Even if the minimization fuction would find values for the parameters,
%they would be of poor identifiability (too high estimation error). 