% this code may take few minutes to compile

close all
clear all
clc

Data30=load('Temp30.txt');
Data40=load('Temp40.txt');
Data50=load('Temp50.txt');
Data60=load('Temp60.txt');

Time=Data30(:,1);
ExpConc30=Data30(:,2);
ExpConc40=Data40(:,2);
ExpConc50=Data50(:,2);
ExpConc60=Data60(:,2);
ExpConc=[ExpConc30 ExpConc40 ExpConc50 ExpConc60];

Temp=[30 40 50 60];
Temp=273.15+Temp;
Tref=mean(Temp);

ExpConc0=ExpConc(1,:);
Rgas=8.314;

k0=.01;     % initial guess
Ea0=50;     % initial guess

fObjFunE=@(kin)ObjFunE(kin, ExpConc, Time, ExpConc0, Tref, Temp);
Parameters=lsqnonlin(fObjFunE, [k0 Ea0], [0 0], [10 1000]);

SurfPoints=45;
Ea=Parameters(2);
k=Parameters(1);

EaInterval=linspace(0,Ea*3,SurfPoints);
kInterval=linspace(0,k*3,SurfPoints);

for i=1:SurfPoints
    for j=1:SurfPoints
        Sensitivity(i,j)=sum(sum(ObjFunE([kInterval(j) EaInterval(i)], ExpConc, Time, ExpConc0, Tref, Temp).^2));
    end
end
%%
surf(EaInterval,kInterval,Sensitivity);
shading interp;
colormap jet
colorbar;
xlabel('Activation energy [kJ/mol]')
xlim([EaInterval(1) EaInterval(end)])
ylabel('Rate constant @T_r_e_f[mol/m^3/s]');
ylim([kInterval(1) kInterval(end)])
zlabel('Objective Function [mol/m^3]');
title('3D Sensitivity Plot');
%%