function rhs=ddt(t,c,P, Tref)

kref=P(1);
Ea=P(2);
cA=c(1);
cB=c(2);
T=c(3);

cp=4.186E3;
rho=1E3;
deltaHr=-1004.3E3;
CaIn=316.8;
CbIn=2*CaIn;
CIn=[CaIn; CbIn];
Vr=110E-6;
Vdot=130E-6/60;
T0=25.2+273.15;
Rgas=8.314;

k=kref*exp(-Ea*1E3/Rgas*(1/T-1/Tref));    % calculates the rate constant based on the value of the constant at the reference temperature 
                                          % uses the modified Arrhenius law

r=k*cA*cB;
SM=[-2 -4];
Conc=[cA; cB];
rhs=Vdot/Vr*(CIn-Conc)+SM.'*r;
rhs(3,1)=Vdot/Vr*(T0-c(3))+k*c(1)*c(2)*(-deltaHr)/(rho*cp);

end 