% this exercise should take some time to compile ca. 5-10 minutes

clear all
close all
clc

%global Vdot

T0=[703 703 733];
x0=[.085 .09 0];

Rgas=8.314;
rhob=600E3;
P0=101.3E3;

count=1;

time1=linspace(.3,.4,5);
time2=linspace(1.8,1.9,5);
time3=linspace(1.4,1.45,5);

for i=1:length(time1)       % "brute force" method to find the minimun time 
    for j=1:length(time2)  
        for k=1:length(time3)
            
        time=[time1(i) time2(j) time3(k)];
        [~, ~, ~, ~, ~, ~, ~, ~, ConvGlobal3]=AdibReact(x0, T0, time);
        
        MaxConv=max(ConvGlobal3);
        
        if MaxConv>=.95
            t1min(count)=time1(i);
            t2min(count)=time2(j);
            t3min(count)=time3(k);
            count=count+1;
        end
        
        end
    end
end

tmin=t1min+t2min+t3min;
[tmin, minpos]=min(tmin);

t1min=t1min(minpos);
t2min=t2min(minpos);
t3min=t3min(minpos);

% optimal solution
% Minimun space-time Reactor 1 = 0.359 s
% Minimun space-time Reactor 2 = 1.998 s
% Minumun space-time Reactor 3 = 1.318 s
% Total space-time= 3.675 s

Totalt=t1min+t2min+t3min;

fprintf('Minimun space-time Reactor 1 = %.3f s\n', t1min)
fprintf('Minimun space-time Reactor 2 = %.3f s\n', t2min)
fprintf('Minumun space-time Reactor 3 = %.3f s\n', t3min)
fprintf('Total space-time= %.3f s\n\n', Totalt)

time=[t1min t2min t3min];
[t1, x1, t2, x2, t3, x3, ConvGlobal1, ConvGlobal2, ConvGlobal3]=AdibReact(x0, T0, time);
                
figure
hold on
plot(t1,100*x1(:,1), 'b', t2, 100*x2(:,1),'g', t3, 100*x3(:,1), 'r');

box on
TextBox1={'Conversion Reactor 1', 'Conversion Reactor 2','Conversion Reactor 3'};
legend(TextBox1)

xlabel('Time [s]')
ylabel('Conversion [%]');
title('Simulation');
hold off

figure 
hold on
plot(t1, x1(:,2), 'b', t2, x2(:,2), 'g', t3, x3(:,2), 'r')
box on
TextBox2={'Temperature Reactor 1', 'Temperature Reactor 2','Temperature Reactor 3'};
legend(TextBox2)

xlabel('Time [s]')
ylabel('Temperature [K]');
title('Simulation');

hold off

figure 
hold on

plot(t1,100*x1(:,1),'b')
plot(t1(end)+t2, 100*ConvGlobal2,'g')
plot(t1(end)+t2(end)+t3, 100*ConvGlobal3,'r')
plot([0 Totalt Totalt],[95 95 0],'k--')

box on
TextBox3={'Global Conv. Reactor 1', 'Global Conv. Reactor 2','Global Conv. Reactor 3', '95% Conversion'};
legend(TextBox3)

xlabel('Time [s]')
ylabel('Global Conversion [%]');
title('Simulation');

hold off