function rhs=ddt(tau,x, Pa0, Pb0, Pc0, T0)

Rgas=8.314;
rhob=600E3;

Conv=x(1);
T=x(2);

cp=1.0467;
ndot=20.67;
MM=31.42;
mdot=ndot*MM;
Vdot0=ndot*Rgas*T0/1E5;

deltaHr=-102.99E3+8.33*T;

Pa=Pa0*(1-Conv);
Pb=Pb0-1/2*Pa0*Conv;
Pc=Pc0+Pa0*Conv;

k1=5.412E-3*exp(-129.8E3/Rgas/T);
k2=7.49E4*exp(-224.4E3/Rgas/T);
Rate=k1*Pa*Pb^.5-k2*Pc;
ra=-Rate;

alfa=rhob*Vdot0/T0*Rate*(-deltaHr)/(mdot*cp);
dTdtau=alfa*T/(1-alfa*tau);

rhs(1,1)=-rhob*Rgas*ra/Pa0*(T+tau*dTdtau);
rhs(2,1)=dTdtau;

end