function [t1, x1, t2, x2, t3, x3, ConvGlobal1, ConvGlobal2, ConvGlobal3]=AdibReact(y0, T0, time)

P0=1.01E5;

Pa01=P0*y0(1);
Pb01=P0*y0(2);
Pc01=P0*y0(3);

tau1=linspace(0,time(1),1000);
tau2=linspace(0,time(2),1000);
tau3=linspace(0,time(3),1000);
        
[t1,x1]=ode23s(@ddt, tau1, [0 T0(1)], [], Pa01, Pb01, Pc01, T0(1));
        
Conv1=x1(end,1);
Pa02=Pa01*(1-Conv1);
Pb02=Pb01-1/2*Pa01*Conv1;
Pc02=Pc01+Pa01*Conv1;
        
[t2,x2]=ode23s(@ddt, tau2, [0 T0(2)], [], Pa02, Pb02, Pc02, T0(2));

Conv2=x2(end,1);
Pa03=Pa02*(1-Conv2);
Pb03=Pb02-1/2*Pa02*Conv2;
Pc03=Pc02+Pa02*Conv2;
              
[t3,x3]=ode23s(@ddt, tau3, [0 T0(3)], [], Pa03, Pb03, Pc03, T0(3));
        
ConvGlobal1=x1(:,1);
ConvGlobal2=(Pa01-Pa02*(1-x2(:,1)))./Pa01;
ConvGlobal3=(Pa01-Pa03*(1-x3(:,1)))./Pa01;

end