close all 
clear all
clc

Tau0=[1 1 1];
lb=[1E-6 1E-6 1E-6];
ub=[5 5 5];

T0=[703 703 733];
y0=[.085 .09 0];

[ReacTimes, tmin]=fmincon(@ObjFun, Tau0, [], [], [], [], lb, ub, @Const,[]);

fprintf('Reaction time reactor 1: %.3f s\n', ReacTimes(1))
fprintf('Reaction time reactor 2: %.3f s\n', ReacTimes(2))
fprintf('Reaction time reactor 3: %.3f s\n', ReacTimes(3))
fprintf('Total reaction time: %.3f s\n', tmin)
fprintf('Conversion at minimal reaction time= %.2f %%\n', 95-Const([ReacTimes]))

[t1, x1, t2, x2, t3, x3, ConvGlobal1, ConvGlobal2, ConvGlobal3]=AdibReact(y0, T0, ReacTimes);

figure 
hold on
plot(t1,100*x1(:,1), 'b', t2, 100*x2(:,1),'g', t3, 100*x3(:,1), 'r');
box on
TextBox1={'Conversion Reactor 1', 'Conversion Reactor 2','Conversion Reactor 3'};
legend(TextBox1)
xlabel('Time [s]')
ylabel('Conversion [%]');
title('Simulation');
hold off

figure 
hold on
plot(t1, x1(:,2), 'b', t2, x2(:,2), 'g', t3, x3(:,2), 'r')
box on
TextBox2={'Temperature Reactor 1', 'Temperature Reactor 2','Temperature Reactor 3'};
legend(TextBox2)
xlabel('Time [s]')
ylabel('Temperature [K]');
title('Simulation');
hold off

figure 
hold on
plot(t1,100*x1(:,1),'b')
plot(t1(end)+t2, 100*ConvGlobal2,'g')
plot(t1(end)+t2(end)+t3, 100*ConvGlobal3,'r')
plot([0 tmin tmin],[95 95 0],'k--')
box on
TextBox3={'Global Conv. Reactor 1', 'Global Conv. Reactor 2','Global Conv. Reactor 3', '95% Conversion'};
legend(TextBox3)
xlabel('Time [s]')
ylabel('Global Conversion [%]');
title('Simulation');
hold off