function rhs=ddt(t,c, Pa0, Pb0, Pc0, T0)

Tau=t;
X=c(1);
T=c(2);

rho=600E3;
Rgas=8.314;
deltaHr=-102.99E3+8.33*T;
cp=1.046;
P0=101325;

ndot=20.67;
MM=31.42;
mdot=ndot*MM;
Vdot0=ndot*Rgas*T0/P0;

Pa=Pa0*(1-X);
Pb=Pb0-1/2*Pa0*X;
Pc=Pc0+Pa0*X;

k1=5.412E-3*exp(-129791/Rgas/T);
k2=7.49E4*exp(-224412/Rgas/T);
Rate=k1*Pa*Pb^.5-k2*Pc;
rA=-Rate;

alfa=rho*Vdot0/T0*Rate*(-deltaHr)/(mdot*cp);

dTdTau=alfa*T/(1-alfa*Tau);

rhs(1,1)=-rho*Rgas*rA/Pa0*(T+Tau*dTdTau);
rhs(2,1)=dTdTau;

end