clear all
close all
clc

timespan=linspace(0,2E4, 2E3);          % time domain 

c0A=0;                      % initial concentration of A    REMEMBER THAT REACTOR IS FILLED WITH INERT SOLVENT AT THE BEGINNING
c0B=0;                      % initial concentration of B
c0P=0;                      % initial concentration of P

Tinitial=linspace(290,400,12);
%Tinitial=linspace(341,346,6);

figure(1), hold on, box on
figure(2), hold on, box on
figure(3), hold on, box on

for i=1:length(Tinitial)
    Initial=[c0A c0B c0P Tinitial(i)];
    [time,ddt]=ode23s(@cstr,timespan, Initial);
    Color=linspace(0,1,length(Tinitial));
    figure(1), plot(time/60, ddt(:,1:2), 'color', [Color(i) 0 Color(i)]);
    figure(2), plot(time/60, ddt(:,3), 'color', [Color(i) 0 Color(i)]);
    figure(3), plot(time/60, ddt(:,4), 'color', [Color(i) 0 Color(i)]);
end

Tinitial=num2str(Tinitial');
for i=1:length(Tinitial)
    TinitialChar(i,:)=[Tinitial(i,:) ' K'];
end

figure (1)
legend(TinitialChar)
xlabel('Time[min]');
ylabel('Concentration[mol/m^3]');
title('Reactant concentration (A&B)');

figure (2)
legend(TinitialChar)
xlabel('Time [min]');
ylabel('Concentration [mol/m^3]');
title('Product concentration (P)');

figure (3)
legend(TinitialChar)
xlabel('Time [min]');
ylabel('Temperature [K]');
title('Dynamic Temperature');

%After solving for a  wide range of temperature, change: Tinitial=341:1:346;