close all
clear all
clc

zspan=linspace(0,3,1000);
y0=[.009 0 0 .208];
P0=y0.*1E5;
T0=[625 630 633 635];
Tmax=660;

for i=1:length(T0)
    [z,c]=ode23s(@ddt, zspan, [P0 T0(i)], [], T0(i));
    A(:,i)=c(:,1);
    B(:,i)=c(:,2);
    C(:,i)=c(:,3);
    Temp(:,i)=c(:,5);
end

ConvA=(P0(1)-A)./P0(1)*100;
SelecB=B./C;

% check the command prompt to see these messages
maxTemp=max(Temp);
for i=1:length(T0)
    fprintf('For T0= %i K the maximun temperature is %.1f K\n', T0(i), maxTemp(i));
end

figure
hold on
plot(z, B)
box on
TextBox1={'Initial Temperature= 625K', 'Initial Temperature= 630K','Initial Temperature= 633K', 'Initial Temperature= 635K'};
legend(TextBox1)
xlabel('Length [m]')
ylabel('Partial Pressure [Pa]');
title('Phtalic Acid Partial Pressure [Pa]');
hold off

figure
hold on
plot(z,Temp)
plot([0 z(end)],[Tmax Tmax], 'k--')
box on
TextBox2={'Initial Temperature= 625K', 'Initial Temperature= 630K','Initial Temperature= 633K', 'Initial Temperature= 635K', 'Maximun Allowed Temperature'};
legend(TextBox2)
xlabel('Reactor Length [m]')
ylabel('Temperature [K]');
title('Temperature profile');
hold off

figure
hold on
plot(z,ConvA)
box on
TextBox3={'Initial Temperature= 625K', 'Initial Temperature= 630K','Initial Temperature= 633K', 'Initial Temperature= 635K'};
legend(TextBox3)
xlabel('Reactor Length [m]')
ylabel('Conversion A [%]');
title('Conversion profile');
hold off

figure
hold on
plot(z,SelecB)
box on
TextBox4={'Initial Temperature= 625K', 'Initial Temperature= 630K','Initial Temperature= 633K', 'Initial Temperature= 635K'};
legend(TextBox4)
xlabel('Reactor Length [m]')
ylabel('Selectivity B');
title('Selectivity profile');
hold off