function rhs=ddt(z,c, T0)

T=c(5);

Rgas=8.314;          % J/mol/K

Ea(1)=1.133E5;          % J/mol
Ea(2)=1.301E5;          % J/mol
Ea(3)=1.2E5;            % J/mol

A(1)=1.145E8*1E-10;       % mol/(Pa^2.kg.s)
A(2)=3.185E8*1E-10;       % mol/(Pa^2.kg.s)
A(3)=4.577E7*1E-10;       % mol/(Pa^2.kg.s)

deltaHr(1)=-1.2845E6;       % J/mol
deltaHr(2)=-3.276E6;       % J/mol
deltaHr(3)=deltaHr(1)+deltaHr(2);       % J/mol
deltaHr=deltaHr.';

cp=1.046E3;               % J/(kg.K)
mdot=6.386E-4;            % kg/s
M=29.48E-3;               % mol/kg 
ndot=mdot/M;              % mol/s
Vdot0=ndot*Rgas*T0/1E5;   % m3/s
Dia=.025;                 % meter
Area=pi()*Dia^2/4;        % m^2
rhob=1300;                % kg/m3
U=96;                     % J/(m^2.s.K)
Tcool=T0;

k=A.*exp(-Ea./Rgas./T);       % mol/(Pa^2.kg.s)

rate(1)=k(1)*c(1)*c(4);
rate(2)=k(2)*c(2)*c(4);
rate(3)=k(3)*c(1)*c(4);

SM=[-1 1 0 -1
    0 -1 1 -1
    -1 0 1 -1];
rate=rate.';
r=SM.'*rate;

rhs=rhob*Area*Rgas*T0/Vdot0*r;
rhs(5,1)=(rhob*Area*(-sum(rate.*deltaHr))+U*(Tcool-T)*pi()*Dia)/mdot/cp;

end