function result=DiffC(T, P, y)

% sequence: CO H2O CO2 H2 N2

DKCO=.107E-4;       % CO Knudsen diffusion in m2/s at 723K
T1=723;

Eps=.55;        % porosity 
Tau=2;          % tortuosity 

% 'v' represent the diffusion volumes
v(1)=18;
v(2)=13.1;
v(3)=26.9;
v(4)=6.12;
v(5)=18.5;

% 'M' represent the molar mass in g/mol
M(1)=28;
M(2)=18;
M(3)=44;
M(4)=2;
M(5)=28;

for i=1:length(y)
    for j=1:length(y)
        if j==i
            Dbinary(i,j)=0;
        else
            Dbinary(i,j)=T^1.75*(1/M(i)+1/M(j))^.5*1E-7/(P*(v(i)^(1/3)+v(j)^(1/3))^2);
        end
    end
end

for i=1:length(y)
    den=0;
    for j=1:length(y)
        if j==i
            continue
        else
            den=den+y(j)/Dbinary(i,j);
        end
    end
    Dm(i)=(1-y(i))/den;    
end

DK(1)=DKCO*sqrt(T/T1);
DK(2:length(y))=DK(1)*sqrt(M(1)./M(2:length(y)));

D=(1./Dm+1./DK).^(-1);

result=D.*Eps/Tau;

end