function result=Integral(C, n, T, xspan)
% This function receives a matrix with the concentration profile in such a way that 
% the lines correspond to different compounds and the columns correspond to different positions
% It calculates the integral in the numerator of the
% effectiveness factor equation. It returns a column vector with the
% integral calculated for each compound

deltax=1/(n-1);
RatePrf=RateCalc(C, T);

result=zeros(5,1);

for i=1:n-1
   result=result+3*((RatePrf(:,i).*xspan(i).^2)+RatePrf(:,i+1).*xspan(i+1).^2)*deltax/2;
end

end