function result=RateCalc(C,T)
% This function receives a matrix with the concentration profile in such a way that 
% the lines correspond to different compounds and the columns correspond to different positions
% This function returns a matrix with the reaction rate for all compounds in such a way that 
% the lines correspond to different compounds and the columns correspond to different positions

Rgas=8.314;

cCO=C(1,:);
cH2O=C(2,:);
cCO2=C(3,:);
cH2=C(4,:);
cN2=C(5,:);

SM=[-1 -1 1 1 0];

A=95.02;        % pre-exponential factor in m3/g/s
Ea=94.3E3;      % activation energy J/mol
k=A*exp(-Ea/Rgas/T);    % rate constant 
K=exp(4577.8/T-4.33);
B=cCO2.*cH2./(K.*cCO.*cH2O);
rate=k.*cCO.*(1-B);

result=SM.'*rate;

end