function result=Henry(T, cFe2, cFe3, cSO4)

% this function calculates the Henry constant in atm as a function of the
% temperature and the liquid phase composition, namely, it takes into
% account the presence of different electrolytes in solution

A=-171.2542;      
B=8391.24;
C=23.24323;

hFe2=.1523;
hFe3=.1161;
hSO4=.1117;
hT=3.34E-4;

den=exp(A+B/T+C*log(T));                    % denominator of the Henry  constant expression
Term1=cFe2*(hFe2+hT*(T-298.15));
Term2=cFe3*(hFe3+hT*(T-298.15));
Term3=cSO4*(hSO4+hT*(T-298.15));
num=10^(Term1+Term2+Term3);                 % numerator of the Henry constant expression

H=num/den;

result=H;

end