function rhs=ddt(t, c, n, kLa, Rc, D, epsP)

c=c.';              % transposes the concentration matrix to make it a line vector

deltax=1/(n-1);         
x=linspace(0,1,n);

cTL=c(1);           % in mol/m^3
cH2L=c(2);          % in mol/m^3
cMCHL=c(3);         % in mol/m^3

mcat=40;                % in g
VL=1E-3;                % in m^3
VR=1.1E-3;              % in m^3
rhob=mcat/VL;           % grams/m^3
rhop=1.3E6;             % grams/m^3
Ap=3*mcat/(Rc*rhop);    % in m^2 

xsat=[0; .014; 0];

epsL=VL/VR;

RatePrf=Rate(c,n);          

Integral=IntegCalc(RatePrf,n);
rhs=kLa./epsL.*(sum(c(1:3)).*xsat-c(1:3).')+rhop*Rc*Ap/VL.*Integral.';
rhs=rhs.';

% NOTE: the equations are solved from outside to inside the particle

for j=1:3
    rhs((j-1)*n+4)=rhs(j);          % boundary condition at the particle surface
end
    
% NOTE: finite differences formulas used: 3 points central difference
% formula for second derivative. 2 points central difference formula for
% first derivative.

for j=1:3
    for i=5:n+2
        rhs((j-1)*n+i)=D(j)/epsP/(Rc^2)*((c((j-1)*n+i-1)-2*c((j-1)*n+i)+c((j-1)*n+i+1))/(deltax^2)+2/x(n+4-i)*(c((j-1)*n+i-1)-c((j-1)*n+i+1))/(2*deltax))+rhop/epsP*RatePrf((j-1)*n+i);
    end
end

for j=1:3 
    rhs(j*n+3)=1/3*(4*rhs(j*n+2)-rhs(j*n+1)); 
end

rhs=rhs.';

end