close all
clear all
clc

k1=5.620;
k2=.107;
cCl=.44;
cA0=.2;

TauMax=fminsearch(@steady,.1);
cBmax=1/steady(TauMax);

fprintf('Optimun space-time= %.2f s\nMaximun concentration of monochloro-p-cresol= %.2f mol/L\n\n', TauMax, cBmax);

Tau=linspace(0,30,100);
ConcA=@(Tau) cA0./(1+k1.*cCl.*Tau);
cA=ConcA(Tau);

ConcB=@(Tau) k1.*cA.*cCl./(k2.*cCl+1./Tau);
cB=ConcB(Tau);

ConcC=@(Tau) k2.*cB.*cCl.*Tau;
cC=ConcC(Tau);

figure 
hold on

plot(Tau, cA, Tau, cB, Tau, cC)
plot(TauMax,cBmax,'ko')
plot([0 TauMax TauMax],[cBmax cBmax 0], 'k--')
box on
TextBox1={'p-Cresol (A)', 'monochloro-p-Cresol (B)','dichloro-p-Cresol(C)', 'Optimal Condition'};
legend(TextBox1)

xlabel('Space-Time [s]')
ylabel('Concentration [mol/L]');
title('Steady-state simulation');

hold off